Bug 2109235 - openshift-apiserver pods never going NotReady
Summary: openshift-apiserver pods never going NotReady
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-apiserver
Version: 4.11
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.10.z
Assignee: Luis Sanchez
QA Contact: Rahul Gangwar
URL:
Whiteboard:
: 2100233 (view as bug list)
Depends On: 2066886
Blocks: 2109399
TreeView+ depends on / blocked
 
Reported: 2022-07-20 18:02 UTC by Luis Sanchez
Modified: 2022-08-25 17:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2066886
Environment:
Last Closed: 2022-08-01 11:36:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-openshift-apiserver-operator pull 501 0 None open [release 4.10] Bug 2109235: openshift-apiserver pods never going NotReady 2022-07-20 18:04:51 UTC
Red Hat Product Errata RHSA-2022:5730 0 None None None 2022-08-01 11:36:28 UTC

Comment 2 Rahul Gangwar 2022-07-25 16:04:17 UTC
oc get clusterversion                                                          
NAME      VERSION                              AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.10.0-0.nightly-2022-07-25-110002   True        False         44m     Cluster version is 4.10.0-0.nightly-2022-07-25-110002

Termination grace period is 90s as in PR.
oc get -n openshift-apiserver pods -ojson|grep -i terminationGracePeriodSeconds
                "terminationGracePeriodSeconds": 90,
                "terminationGracePeriodSeconds": 90,
                "terminationGracePeriodSeconds": 90,

After deletion and restart, container status readiness: true

"status": {
        "conditions": [
            {   
                "lastProbeTime": null,
                "lastTransitionTime": "2022-07-25T15:00:14Z",
                "status": "True",
                "type": "Initialized"
            },
            {   
                "lastProbeTime": null,
                "lastTransitionTime": "2022-07-25T15:00:22Z",
                "status": "True",
                "type": "Ready"
            },
            {   
                "lastProbeTime": null,
                "lastTransitionTime": "2022-07-25T15:00:22Z",
                "status": "True",
                "type": "ContainersReady"
            },
            {   
                "lastProbeTime": null,
                "lastTransitionTime": "2022-07-25T15:00:12Z",
                "status": "True",
                "type": "PodScheduled"
            }

"containerStatuses": [
            {   
                "containerID": "cri-o://1f8d24d98846605a4d4fe9faec5868bcfd3860d79ed36ec5fd4b47f42e869849",
                "image": "quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:04b10a7a8623e5d95d3192632347ce7c67f6c9bba7ff569ced5d63f09ea5f1b4",
                "imageID": "quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:04b10a7a8623e5d95d3192632347ce7c67f6c9bba7ff569ced5d63f09ea5f1b4",
                "lastState": {},
                "name": "openshift-apiserver",
                "ready": true,
                "restartCount": 0,
                "started": true,
                "state": {
                    "running": {
                        "startedAt": "2022-07-25T15:00:15Z"
                    }
                }
            },
            {
                "containerID": "cri-o://0fe4ac6f98b751b542d8cd660beac5aeecbdbaa450db81c0068fc33d8b158c99",
                "image": "quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:8b96daa42f7f05bc8c915f15431829bd8185150ad9a2a686a55e3e9a508705e7",
                "imageID": "quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:8b96daa42f7f05bc8c915f15431829bd8185150ad9a2a686a55e3e9a508705e7",
                "lastState": {},
                "name": "openshift-apiserver-check-endpoints",
                "ready": true,
                "restartCount": 0,
                "started": true,
                "state": {
                    "running": {
                        "startedAt": "2022-07-25T15:00:15Z"
                    }
                }
            }
        ],
        "hostIP": "10.0.0.6",
        "initContainerStatuses": [
            {
                "containerID": "cri-o://5890a314f394c33a35ddd6e3e5db0e80e3e778610f0c42b5db0398c38c0540cf",
                "image": "quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:04b10a7a8623e5d95d3192632347ce7c67f6c9bba7ff569ced5d63f09ea5f1b4",
                "imageID": "quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:04b10a7a8623e5d95d3192632347ce7c67f6c9bba7ff569ced5d63f09ea5f1b4",
                "lastState": {},
                "name": "fix-audit-permissions",
                "ready": true,
                "restartCount": 0,
                "state": {
                    "terminated": {
                        "containerID": "cri-o://5890a314f394c33a35ddd6e3e5db0e80e3e778610f0c42b5db0398c38c0540cf",
                        "exitCode": 0,
                        "finishedAt": "2022-07-25T15:00:14Z",
                        "reason": "Completed",
                        "startedAt": "2022-07-25T15:00:14Z"
                    }
                }
            }
        ],

Comment 5 errata-xmlrpc 2022-08-01 11:36:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.25 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5730

Comment 6 Scott Dodson 2022-08-25 17:41:43 UTC
*** Bug 2100233 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.